---
layout: mockup
title: "Files - Preferences - Behavious"
theme: Adwaita/Adwaita.css
permalink: nautilus/preferences/behavior
wallpaper: adwaita
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/nautilus.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar grouped" title="Preferences">
		<!-- left button group -->
		<div class="button-group float-left">
		</div>
		<!-- center button group -->
		<div class="button-group float-center wide">
			<div class="view-switcher hide-on-mobile">
				<a class="" href="{{ site.baseurl }}/nautilus/preferences/views"><div class="icon s16">{%- include symbolic/actions/view-reveal-symbolic.svg -%}</div><span>Views</span></a
				><a class="active" href="{{ site.baseurl }}/nautilus/preferences/behavior"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-accessibility-pointing-symbolic.svg -%}</div><span>Behavior</span></a
				><a class="" href="{{ site.baseurl }}/nautilus/preferences/search"><div class="icon s16">{%- include symbolic/actions/edit-find-symbolic.svg -%}</div><span>Search</span></a
				><a class="" href="{{ site.baseurl }}/nautilus/preferences/thumbnails"><div class="icon s16">{%- include symbolic/mimetypes/image-x-generic-symbolic.svg -%}</div><span>Thumbnails</span></a>
			</div>
		</div>
		<!-- right button group -->
		<div class="button-group float-right"><a class="button image-button">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="view">
			<!-- Open Actions -->
			<div class="row">
				<h4>Open Action</h4>
				<ul class="listrow">
					<li onclick="$('#openOption1').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" checked = "checked" id = "openOption1" name = "wifiNetworks" -%}
						<label>Single-click</label>
					</li>
					<li onclick="$('#openOption2').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "openOption2" name = "wifiNetworks" -%}
						<label>Double-click</label>
					</li>
				</ul>
			</div>
			<div class="row">
				<h4>Executable Files</h4>
				<ul class="listrow">
					<li id="executableTextFilesPopover">
						<label>Click Action</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="executableTextFilesStatus">Display Them</label>
					</li>
				</ul>
			</div>
			<!-- Trash -->
			<div class="row">
				<h4>Trash</h4>
				<ul class="listrow">
					<li>
						<label>Ask Before Emptying</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li>
						<label>Show Action to Permanently Delete</label>
						{%- include components/switch.html float = "right" checked = "" -%}
					</li>
				</ul>
			</div>
		</div>
	</div>
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher">
			<a class="" href="{{ site.baseurl }}/nautilus/preferences/views"><div class="icon s16">{%- include symbolic/actions/view-reveal-symbolic.svg -%}</div><span>Views</span></a
			><a class="active" href="{{ site.baseurl }}/nautilus/preferences/behavior"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-accessibility-pointing-symbolic.svg -%}</div><span>Behavior</span></a
			><a class="" href="{{ site.baseurl }}/nautilus/preferences/search"><div class="icon s16">{%- include symbolic/actions/edit-find-symbolic.svg -%}</div><span>search</span></a
			><a class="" href="{{ site.baseurl }}/nautilus/preferences/thumbnails"><div class="icon s16">{%- include symbolic/mimetypes/image-x-generic-symbolic.svg -%}</div><span>Thumbnails</span></a>
		</div>
	</div>
</div>

<script type="text/javascript">
// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="executableTextFilesStatus($(this).text());">Display Them</li>',
			'<li onclick="executableTextFilesStatus($(this).text());">Run Them</li>',
			'<li onclick="executableTextFilesStatus($(this).text());">Ask what to do</li>',
		'</ul>'].join('');

	$("#executableTextFilesPopover").popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function executableTextFilesStatus() {
	$('#executableTextFilesStatus').text(arguments[0]);
	$("#executableTextFilesPopover").popover("hide");
}
</script>